    One-dimensional polynomial function of order 8.

polynom1d

The maximum order of the polynomial is 8. The default setting has all parameters frozen except for c0 , which means that the model acts as a constant.

>>> create_model_component("polynom1d", "mdl")
>>> print(mdl)

Create a component of the polynom1d model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.c0 thawed 1 -3.40282e+38 3.40282e+38 mdl.c1 frozen 0 -3.40282e+38 3.40282e+38 mdl.c2 frozen 0 -3.40282e+38 3.40282e+38 mdl.c3 frozen 0 -3.40282e+38 3.40282e+38 mdl.c4 frozen 0 -3.40282e+38 3.40282e+38 mdl.c5 frozen 0 -3.40282e+38 3.40282e+38 mdl.c6 frozen 0 -3.40282e+38 3.40282e+38 mdl.c7 frozen 0 -3.40282e+38 3.40282e+38 mdl.c8 frozen 0 -3.40282e+38 3.40282e+38 mdl.offset frozen 0 -3.40282e+38 3.40282e+38

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
c0
The constant term.
c1
The amplitude of the (x-offset) term.
c2
The amplitude of the (x-offset)^2 term.
c3
The amplitude of the (x-offset)^3 term.
c4
The amplitude of the (x-offset)^4 term.
c5
The amplitude of the (x-offset)^5 term.
c6
The amplitude of the (x-offset)^6 term.
c7
The amplitude of the (x-offset)^7 term.
c8
The amplitude of the (x-offset)^8 term.
offset
There is a degeneracy between c0 and offset , so it is recommended that at least one of these remains frozen.

Notes

The functional form of the model for points is:

f(x) = sum_(i=0)^(i=8) c_i * (x - offset)^i

and for an integrated grid it is the integral of this over the bin.

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023